using FluentValidation;

namespace Indotalent.Features.Inventory.StockCount.Cqrs;

public class CreateStockCountValidator : AbstractValidator<CreateStockCountRequest>
{
    public CreateStockCountValidator()
    {
        RuleFor(x => x.CountDate).NotEmpty().WithMessage("Count Date is required");
        RuleFor(x => x.WarehouseId).NotEmpty().WithMessage("Warehouse is required");
    }
}